Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1789416 - Retire python-traceback2 in F33+
Summary: Retire python-traceback2 in F33+
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-traceback2
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michel Lind
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1794222
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-09 14:17 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2020-04-12 18:23 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-12 18:23:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Zbigniew Jędrzejewski-Szmek 2020-01-09 14:17:55 UTC
Description of problem:
This package is a "backport of traceback to older pythons". It makes no sense to have it on python3.9. Let's just retire it in rawhide after F32 is branched.

Comment 1 Miro Hrončok 2020-01-09 16:27:20 UTC
$ repoquery --repo=rawhide{,-source} --whatrequires python3-traceback2
python-testtools-0:2.3.0-15.fc32.src
python-unittest2-0:1.1.0-22.fc32.src
python3-testtools-0:2.3.0-15.fc32.noarch
python3-unittest2-0:1.1.0-22.fc32.noarch

Comment 2 Zbigniew Jędrzejewski-Szmek 2020-01-09 21:56:22 UTC
unittest2 should be retired.

So this just leaves testtools.

Comment 3 Avram Lubkin 2020-01-23 00:09:24 UTC
When this gets retired, python-linecache2 can also be retired. It's only required by traceback2

Comment 4 Michel Lind 2020-02-10 01:57:56 UTC
ack, let's do this once F32 is branched.

Comment 5 Ben Cotton 2020-02-11 16:35:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.

Comment 6 Michel Lind 2020-02-19 06:39:57 UTC
~/src/fedora/pkgs/python-traceback2 master 7s
❯ sudo dnf repoquery --repo=rawhide{,-source} --whatrequires python-traceback2
Fedora - Rawhide - Developmental packages for t 924 kB/s |  70 MB     01:17    
Fedora - Rawhide - Source                       993 kB/s | 6.5 MB     00:06    
Last metadata expiration check: 0:00:01 ago on Tue 18 Feb 2020 10:39:09 PM PST.


Package now retired.

Comment 7 Miro Hrončok 2020-02-19 07:44:37 UTC
Should be:

$ repoquery --repo=rawhide{,-source} --whatrequires python3-traceback2    # note the 3 !
python-unittest2-0:1.1.0-24.fc32.src
python3-testtools-0:2.3.0-17.fc32.noarch
python3-unittest2-0:1.1.0-24.fc32.noarch


This was not supposed to be retired yet. If you decide to unretire, please don't just revert the commit (that doesn't work), open a releng ticket.

Comment 8 Fabio Valentini 2020-02-21 21:55:50 UTC
Can confirm - this is now causing broken dependencies in rawhide for the 3 packages listed by Miro in the last comment.

Comment 9 Miro Hrončok 2020-02-24 17:24:00 UTC
python-testtools-2.3.0-18.fc32, python-testtools-2.3.0-18.fc33 no longer need this. Only unittest2 does.

Comment 10 Miro Hrončok 2020-02-25 19:14:55 UTC
unittest2 is to be removed, I think we don't need to unretire this, see also https://bugzilla.redhat.com/show_bug.cgi?id=1794222#c7

Comment 11 Michel Lind 2020-04-12 18:23:04 UTC
Keeping this retired. Sorry for the mix-up earlier!


Note You need to log in before you can comment on or make changes to this bug.